%global _dwz_low_mem_die_limit 0
%global debug_package %{nil}

Name:           rclone
Version:	1.64.1
Release: 1.0.1%{?dist}
Summary:        rsync for cloud storage
License:        MIT 
URL:            http://rclone.org/
Source0: rclone-%{version}.tar.bz2

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  golang >= 1.13
BuildRequires:  python3-devel pandoc git



%description
Rclone is a command line program to sync files and directories to and 
from various cloud services.


%prep
%autosetup -n rclone-%{version}

%build
# Mock the .gopath for go commands
mkdir -p .gopath/src/github.com/rclone
ln -sf $PWD .gopath/src/github.com/rclone/rclone
export GOPATH=$PWD/.gopath

pushd .gopath/src/github.com/rclone/rclone
export GOFLAGS=-mod=vendor

PATH=$GOPATH/bin:$PATH 
go version
#make TAG=v%{version} rclone doc
make TAG=v%{version} rclone
#make compile_all
popd


%install
  install -dm 755 %{buildroot}/usr/bin/
  install -Dm644 rclone %{buildroot}/usr/bin/
  install -Dm644 COPYING %{buildroot}/usr/share/licenses/%{name}/COPYING
  install -Dm644 rclone.1 %{buildroot}/usr/share/man/man1/rclone.1
  install -d %{buildroot}/usr/share/doc/%{name}
  install -t %{buildroot}/usr/share/doc/%{name} -m644 MANUAL.html MANUAL.txt
  chmod a+x %{buildroot}/usr/bin/rclone

%files
#%license COPYING
%license /usr/share/licenses/rclone/COPYING
#%doc RELEASE.md README.md MANUAL.md MANUAL.html MANUAL.txt
%doc RELEASE.md README.md MANUAL.md
%doc /usr/share/doc/rclone/MANUAL.html
%doc /usr/share/doc/rclone/MANUAL.txt
%{_bindir}/rclone
%{_mandir}/man1/rclone.1*

%changelog
* Tue Oct 17 2023 EL Errata <el-errata_ww@oracle.com> 1.64.1-1.0.1
- Update to 1.64.1

* Mon Sep 11 2023 EL Errata <el-errata_ww@oracle.com> 1.64.0-1.0.1
- Update to 1.64.0

* Tue Jul 18 2023 EL Errata <el-errata_ww@oracle.com> 1.63.1-1.0.1
- Update to 1.63.1

* Fri Jun 30 2023 EL Errata <el-errata_ww@oracle.com> 1.63.0-1.0.1
- Update to 1.63.0

* Thu Mar 16 2023 EL Errata <el-errata_ww@oracle.com> 1.62.2-1.0.1
- Update to 1.62.2

* Wed Mar 15 2023 EL Errata <el-errata_ww@oracle.com> 1.62.1-1.0.1
- Update to 1.62.1

* Tue Mar 14 2023 EL Errata <el-errata_ww@oracle.com> 1.62.0-1.0.1
- Update to 1.62.0

* Fri Dec 23 2022 EL Errata <el-errata_ww@oracle.com> 1.61.1-1.0.1
- Update to 1.61.1

* Tue Dec 20 2022 EL Errata <el-errata_ww@oracle.com> 1.61.0-1.0.1
- Update to 1.61.0

* Thu Nov 17 2022 EL Errata <el-errata_ww@oracle.com> 1.60.1-1.0.1
- Update to 1.60.1

* Fri Oct 21 2022 EL Errata <el-errata_ww@oracle.com> 1.60.0-1.0.1
- Update to 1.60.0

* Thu Sep 15 2022 EL Errata <el-errata_ww@oracle.com> 1.59.2-1.0.1
- Update to 1.59.2

* Mon Aug 08 2022 EL Errata <el-errata_ww@oracle.com> 1.59.1-1.0.1
- Update to 1.59.1

* Sat Jul 09 2022 EL Errata <el-errata_ww@oracle.com> 1.59.0-1.0.1
- Update to 1.59.0

* Fri Apr 29 2022 EL Errata <el-errata_ww@oracle.com> 1.58.1-1.0.1
- Update to 1.58.1

* Fri Mar 18 2022 EL Errata <el-errata_ww@oracle.com> 1.58.0-1.0.1
- Update to 1.58.0

* Mon Nov 01 2021 EL Errata <el-errata_ww@oracle.com> 1.57.0-1.0.1
- Update to 1.57.0

* Mon Oct 04 2021 EL Errata <el-errata_ww@oracle.com> 1.56.2-1.0.1
- Update to 1.56.2

* Tue Jul 20 2021 EL Errata <el-errata_ww@oracle.com> 1.56.0-1.0.1
- Update to 1.56.0

* Mon Apr 26 2021 EL Errata <el-errata_ww@oracle.com> 1.55.1-1.0.1
- Update to 1.55.1

* Wed Mar 31 2021 EL Errata <el-errata_ww@oracle.com> 1.55.0-1.0.1
- Update to 1.55.0

* Mon Mar 8 2021 Alan Steinberg <alan.steinberg@oracle.com> - 1.54.1-1.0.1.el7
- Update to 1.54.1 for Oracle build

* Mon Mar 08 2021 EL Errata <el-errata_ww@oracle.com> 1.54.1-1.0.1
- Update to 1.54.1

* Wed Feb 24 2021 Lans Hung <lans.hung@oracle.com> - 1.54.0-1.0.1.el7
- add vendoring

* Mon Feb 22 2021 EL Errata <el-errata_ww@oracle.com> 1.54.0-1.0.1
- Update to 1.54.0

* Tue Jan 12 2021 Lans Hung <lans.hung@oracle.com> - 1.53.2-1.0.1.el7
- add vendoring

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 1.53.2-1.0.1
- Update to 1.53.2

* Tue Nov 19 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.50.2-1.0.1.el7
- Update to 1.50.2 for Oracle build

* Tue Nov 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.50.2-1
- Update to 1.50.2

* Sat Nov 2 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.50.1-1.0.1.el7
- Update to 1.50.1 for Oracle build

* Sat Nov 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.50.1-1
- Update to 1.50.1

* Sat Oct 26 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.50.0-1.0.1.el7
- Update to 1.50.0 for Oracle build

* Sat Oct 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.50.0-1
- Update to 1.50.0

* Sat Oct 5 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.49.5-1.0.1.el7
- Update to 1.49.5 for Oracle build

* Sat Oct 05 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.49.5-1
- Update to 1.49.5

* Sun Sep 29 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.49.4-1.0.1.el7
- Update to 1.49.4 for Oracle build

* Sun Sep 29 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.49.4-1
- Update to 1.49.4

* Sun Sep 15 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.49.3-1.0.1.el7
- Update to 1.49.3 for Oracle build

* Sun Sep 15 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.49.3-1
- Update to 1.49.3

* Sun Sep 8 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.49.2-1.0.1.el7
- Update to 1.49.2 for Oracle build

* Sun Sep 08 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.49.2-1
- Update to 1.49.2

* Wed Aug 28 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.49.1-1.0.1.el7
- Update to 1.49.1 for Oracle build

* Wed Aug 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.49.1-1
- Update to 1.49.1

* Tue Aug 27 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.49.0-1.0.1.el7
- fix rclone

* Mon Aug 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.49.0-1
- Update to 1.49.0

* Sat Jun 15 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.48.0-1.0.1.el7
- Update to 1.48.0 for Oracle build

* Sat Jun 15 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.48.0-1
- Update to 1.48.0

* Sat Apr 13 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.47.0-1.0.1.el7
- Update to 1.47.0 for Oracle build

* Sat Apr 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.47.0-1
- Update to 1.47.0

* Sat Feb 9 2019 Jingdong Lu <jingdong.lu@oracle.com> - 1.46.0-1.0.1.el7
- Update to 1.46.0 for Oracle build

* Sat Feb 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.46.0-1
- Update to 1.46.0

* Tue Jan 29 2019 Natalya Naumova <natalya.naumova@oracle.com> - 1.45-1.0.1.el7
-  update changelog entry for 1.45-1.0.1

* Tue Jan 29 2019 Natalya Naumova <natalya.naumova@oracle.com> 1.45-1.0.1
- Update to 1.45-1.0.1
- rclone fails to build due to fuse mount error for doc build

* Mon Jan 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.45-1
- Update to 1.45

* Tue Jul 3 2018 root <root@localhost.localdomain> - 1.42-1.0.1.el7
- add missing files for 1.42-1.0.1

* Fri Jun 22 2018 Lans Hung <lans.hung@oracle.com> 1.42-1.0.1
- Update to 1.42-1.0.1

* Fri Jun 22 2018 Lans Hung <lans.hung@oracle.com> 1.40-1.0.1
- Update to 1.40-1.0.1

* Wed Mar 21 2018 Unitedrpms Project <unitedrpms AT protonmail DOT com> 1.40-1.git26f1c55
- Updated to 1.40-1.git26f1c55

* Wed Jan 03 2018 Unitedrpms Project <unitedrpms AT protonmail DOT com> 1.39-1.gitf34a911
- Updated to 1.39-1.gitf34a911

* Sat Oct 07 2017 Unitedrpms Project <unitedrpms AT protonmail DOT com> 1.38-1.gitd96e45b
- Updated to 1.38-1.gitd96e45b

* Thu Aug 10 2017 Unitedrpms Project <unitedrpms AT protonmail DOT com> 1.37-3.gita73ecec 
- Go back to bundled

* Fri Jul 28 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.37-2
- Unbundled revision

* Sun Jul 23 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.37-1
- Update to version 1.37

* Thu Jul 20 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.36-2
- Update to Fedora Packaging Guidelines specification

* Sat Mar 25 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.36-1
- Update to version 1.36

* Wed Jan 4 2017 Pavlo Rudyi <paulcarroty at riseup.net> - 1.35-1
- Updated to 1.35

* Sun Dec 11 2016 Robert-André Mauchin <zebob.m@gmail.com> - 1.34-1
- Initial RPM release

